# ----------------------------------------------------------------------
# Gretchen Counter

all : \
	../sprites/gretchencounter/kgcmb0.png \
	../sprites/gretchencounter/kgcma0.png \
	../sprites/gretchencounter/kgcmc0.png \
	../sprites/gretchencounter/kgcna0.png \
	../sprites/gretchencounter/kgcnb0.png \
	../sprites/gretchencounter/bright_kgcma0.png \
	../sprites/gretchencounter/bright_kgcmb0.png \
	../sounds/gretchencounter_click.ogg \
	../sounds/gretchencounter_blip.ogg \
	../sounds/gretchencounter_onoff.ogg \
	../sprites/gretchencounter/kgcpa0.png \
	../sprites/gretchencounter/kgcpb0.png \
	../sprites/gretchencounter/bright_kgcpa0.png \
	../sprites/gretchencounter/bright_kgcpb0.png \
	../sprites/gretchencounter/bright_kgcmc0.png

# Base frames
../sprites/gretchencounter/kgcma0.png : gretchencounter_weaponsprite.aseprite
	aseprite $^ \
		-b \
		--ignore-layer "brightmap" \
		--frame-range 0,0 --save-as $@

../sprites/gretchencounter/kgcmb0.png : gretchencounter_weaponsprite.aseprite
	aseprite $^ \
		-b \
		--ignore-layer "brightmap" \
		--frame-range 1,1 --save-as $@

../sprites/gretchencounter/kgcmc0.png : gretchencounter_weaponsprite.aseprite
	aseprite $^ \
		-b \
		--ignore-layer "brightmap" \
		--frame-range 2,2 --save-as $@

# Brightmaps
../sprites/gretchencounter/bright_kgcma0.png : gretchencounter_weaponsprite.aseprite
	aseprite $^ \
		-b \
		--layer "brightmap" \
		--frame-range 0,0 --save-as $@

../sprites/gretchencounter/bright_kgcmb0.png : gretchencounter_weaponsprite.aseprite
	aseprite $^ \
		-b \
		--layer "brightmap" \
		--frame-range 1,1 --save-as $@

../sprites/gretchencounter/bright_kgcmc0.png : gretchencounter_weaponsprite.aseprite
	aseprite $^ \
		-b \
		--layer "brightmap" \
		--frame-range 2,2 --save-as $@

# Needle
../sprites/gretchencounter/kgcna0.png : gretchencounter_weaponsprite.aseprite
	aseprite $^ \
		-b \
		--layer "needle" \
		--frame-range 0,0 --save-as $@

../sprites/gretchencounter/kgcnb0.png : gretchencounter_weaponsprite.aseprite
	aseprite $^ \
		-b \
		--layer "needle" \
		--frame-range 1,1 --save-as $@

# Pickup sprite
../sprites/gretchencounter/kgcpa0.png : gretchencounter_pickupsprite.aseprite
	aseprite $^ \
		-b \
		--ignore-layer "brightmap" \
		--frame-range 0,0 --save-as $@

../sprites/gretchencounter/kgcpb0.png : gretchencounter_pickupsprite.aseprite
	aseprite $^ \
		-b \
		--ignore-layer "brightmap" \
		--frame-range 1,1 --save-as $@

../sprites/gretchencounter/bright_kgcpa0.png : gretchencounter_pickupsprite.aseprite
	aseprite $^ \
		-b \
		--layer "brightmap" \
		--frame-range 0,0 --save-as $@

../sprites/gretchencounter/bright_kgcpb0.png : gretchencounter_pickupsprite.aseprite
	aseprite $^ \
		-b \
		--layer "brightmap" \
		--frame-range 1,1 --save-as $@

# Sounds
../sounds/gretchencounter_click.ogg : gretchencounter_click.wav
	ffmpeg -i $^ "-filter:a" "volume=1.0" $@

../sounds/gretchencounter_blip.ogg : gretchencounter_blip.wav
	ffmpeg -i $^ "-filter:a" "volume=1.0" $@

../sounds/gretchencounter_onoff.ogg : gretchencounter_on_off_switch.wav
	ffmpeg -i $^ "-filter:a" "volume=1.0" $@

